package com.mortals.xhx.common.model;

import java.util.List;

import com.mortals.framework.model.PageInfo;

/**
 * 列表查询结果数据
 * @author lyb
 */
public class ListQueryResult<T> {
	/**
	 * 列表数据
	 */
	private List<T> list;
	/**
	 * 分页信息
	 */
	private PageInfo page;
	
	public ListQueryResult() {
		
	}
	
	public ListQueryResult(List<T> list, PageInfo page) {
		this.list = list;
		this.page = page;
	}
	
	public List<T> getList() {
		return list;
	}
	
	public void setList(List<T> list) {
		this.list = list;
	}
	
	public PageInfo getPage() {
		return page;
	}
	
	public void setPage(PageInfo page) {
		this.page = page;
	}
}
